package util.sql;

/**
 * Exception thrown when an attempt to query the database fails.  Sublasses runtime
 * exception to avoid declaring it up the call stack.
 * 
 * @author Ryan Daigle
 * @version 1.0
 * @since 12/2/2001
 */
public class DatabaseQueryException extends RuntimeException {

    public DatabaseQueryException() {
        this("An error occurred while querying the database.");
    }

    public DatabaseQueryException(String message) {
        super(message);
    }
}
