package util.sql;

/**
 * Exception thrown when an attempt to update the database fails.  Sublasses runtime
 * exception to avoid declaring it up the call stack.
 * 
 * @author Ryan Daigle
 * @version 1.0
 * @since 12/2/2001
 */
public class DatabaseUpdateException extends RuntimeException {

    public DatabaseUpdateException() {
        this("An error occurred while updating/inserting/deleting from the database.");
    }

    public DatabaseUpdateException(String message) {
        super(message);
    }
}
