package util.sql;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Representation of an update processor.  Takes the number of rows updated and does whatever's
 * necessary with that info.
 * 
 * @author Ryan Daigle
 * @version 1.0
 * @since 12/2/2001
 */
public interface UpdateProcessor {

    /**
     * Takes the number of rows that were updated as a result of a sql update and do whatever
     * you want with it.
     * 
     * @param rows   the number of rows updated
     */
	public void process(int rows);
}

/*
 * $Log: UpdateProcessor.java,v $
 * Revision 1.1  2002/03/19 02:56:19  ryan
 * Initial commit of util.sql classes for JavaWorld article.
 *
 * Revision 1.1  2001/12/04 16:40:55  rdaigle
 * First versions of the new SQL architecture, which handles ALL connection,
 * statement and execution details.  Pretty damn sweet if I do say so myself.
 * There still remains some stuff to do, such as adding overloaded methods
 * for conveniance, and actually converting all common adapters to use the
 * new architecture.
 *
 */
