package util.sql.test;

/**
 * Test user class for dql framework demonstration purposes.
 * 
 * @author Ryan Daigle
 * @version 1.0
 * @since 12/5/2001
 */
public class User {

	//private members
	private int id;
	private String userName;
	private String firstName;
	private String lastName;
	private String email;

	/**
	 * Default constructor.
	 * 
	 * @param id        the user id
	 * @param userName  the username
	 * @param firstName the first name
	 * @param lastName  the last name
	 * @param email     the email address
	 */
	public User(int id,
				String userName,
				String firstName,
				String lastName,
				String email) {

		this.id = id;
		this.userName = userName;
		this.firstName = firstName;
		this.lastName = lastName;
		this.email = email;
	}

	//Getter methods for all memeber attributes

	public int getId() {
		return id;
	}

	public String getUserName() {
		return userName;
	}

	public String getFirstName() {
		return firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public String getEmail() {
		return email;
	}

	/**
	 * For easy display purposes.
	 * 
	 * @return the string representation of the user
	 */
	public String toString() {
		return firstName + " " + lastName;
	}
}
